Bug 1009896 - cannot connect to VM console - Error while executing action SetVmTicket: Unexpected exception
cannot connect to VM console - Error while executing action SetVmTicket: Unex...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.4
x86_64 Linux
unspecified Severity urgent
: ---
: 3.4.0
Assigned To: Nobody's working on this, feel free to take it
bugs@ovirt.org
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 08:52 EDT by Martin Pavlik
Modified: 2015-04-06 23:10 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-14 09:29:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log_collector (11.28 MB, application/x-xz)
2013-09-19 08:52 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-09-19 08:52:54 EDT
Created attachment 799916 [details]
log_collector

Description of problem:
cannot connect to VM console - Error while executing action SetVmTicket: Unexpected exception

Version-Release number of selected component (if applicable):
Fedora release 19 (Schrödinger’s Cat)
libvirt-1.0.5.5-1.fc19.x86_64
qemu-1.4.2-9.fc19.x86_64
vdsm-4.12.1-2.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create VM
2. start VM
3. launch console from webadmin

Actual results:
Error while executing action SetVmTicket: Unexpected exception

Expected results:
console opens

Additional info:
engine.log
2013-09-19 14:43:47,980 ERROR [org.ovirt.engine.core.bll.SetVmTicketCommand] (ajp--127.0.0.1-8702-6) Command org.ovirt.engine.core.bll.SetVmTicketCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to SetVmTicketVDS, error = Unexpected exception (Failed with error unexpected and code 16)
2013-09-19 14:43:47,985 ERROR [org.ovirt.engine.core.bll.SetVmTicketCommand] (ajp--127.0.0.1-8702-6) Transaction rolled-back for command: org.ovirt.engine.core.bll.SetVmTicketCommand.


vdsm.log
Thread-1796::ERROR::2013-09-19 14:47:35,009::BindingXMLRPC::989::vds::(wrapper) libvirt error
Traceback (most recent call last):
  File "/usr/share/vdsm/BindingXMLRPC.py", line 984, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/BindingXMLRPC.py", line 240, in vmSetTicket
    return vm.setTicket(password, ttl, existingConnAction, params)
  File "/usr/share/vdsm/API.py", line 585, in setTicket
    return v.setTicket(password, ttl, existingConnAction, params)
  File "/usr/share/vdsm/vm.py", line 4103, in setTicket
    self._dom.updateDeviceFlags(graphics.toxml(), 0)
  File "/usr/share/vdsm/vm.py", line 826, in f
    ret = attr(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/vdsm/libvirtconnection.py", line 76, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/libvirt.py", line 1848, in updateDeviceFlags
    if ret == -1: raise libvirtError ('virDomainUpdateDeviceFlags() failed', dom=self)
libvirtError: internal error cannot change listen address setting on spice graphics
Comment 1 Itamar Heim 2014-01-12 03:42:50 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 2 Michal Skrivanek 2014-02-14 09:29:39 EST
IIRC this was a case long time ago and long has been fixed. The reported Release is for sure wrong, 3.4 beta went out only few weeks ago. Closing as fixed in 3.4.

Note You need to log in before you can comment on or make changes to this bug.